Support » Plugin: The Events Calendar » Customizer.php

  • Resolved greatworkdesign

    (@greatworkdesign)


    I’m having issues with the plugin. It just shows a blank screen. I turned on debugging, and my error log says:

    [Wed May 10 14:41:47.526663 2017] [proxy_fcgi:error] [pid 2444:tid 140549767845632] [client xx.xxx.xx.xx:50867] AH01071: Got error 'PHP message: the-events-calendar/common - Log: Initializing Tribe Events on May, 10th at 07:05:47 pm\nPHP message: PHP Warning: Invalid argument supplied for foreach() in /home/xxx/domains/xxxxxxxx.org/public_html/wp-content/plugins/the-events-calendar/common/src/Tribe/Customizer.php on line 430\n', referer: https://www.xxxxxxxx.org/members/

    Thanks.

Viewing 6 replies - 1 through 6 (of 6 total)
  • Do you require more information?

    Plugin Contributor András Guseo

    (@aguseo)

    Hi @greatworkdesign,

    I’m really sorry about that issue and thanks for reaching out!

    Yes, I would need some more information to be able to help you with this.
    What version or the plugin are you using? Is it the latest?
    When do you get the error message, which page are you visiting?
    Did you try uninstalling and reinstalling the plugin from a new download?

    Thanks,
    Andras

    I’m using 4.5.1, which I believe is the latest.

    The page I’m trying to pull up has a call to [tribe_mini_calendar] but all I see is a blank page.

    The error I printed out is what appears in my error log.

    And yes, I have removed and reinstalled the plugin with no result.

    It’s conceivable that there’s some php setting on my server that is preventing it from running, since I noticed the problem only when I moved the site to a new server. The site and page work fine on the old server, but fail on the new one. But I’ll be damned if I can figure out why.

    Thanks.

    Plugin Contributor András Guseo

    (@aguseo)

    Hi,

    The [tribe_mini_calendar] shortcode works only if you also have Events Calendar PRO installed and activated. Without PRO – although it shouldn’t break the site – the mini calendar will not show. In this case the shortcode will be printed out instead.

    If you have a valid Events Calendar PRO license then you can open a thread in our premium support forums (here) on our website and we’ll be happy to help you with this issue.

    What you can check is the php version you are running. That’s the only other thing that comes to my mind.

    Cheers,
    Andras

    Thanks for answering. We do have Pro installed, but it is expired, and an older version. (4.2.6).

    (If it’s not obvious, I’m just maintaining the site for someone else who developed the code. I’d be willing to renew the license if necessary, but I don’t have the account information related to the expired license.)

    I’m running version 7 of PHP.

    Plugin Contributor Caroline

    (@tribecari)

    Hi @greatworkdesign,

    Thanks for following up to clarify! We’d be more than glad to see what we can do to locate the account credentials for your client’s key and get you all renewed and up to date. Would you mind shooting us a quick email at support (at) theeventscalendar (dot) com with a link to this thread and the license key in question? We’ll take a look in our databases and follow up with our findings as soon as possible! 🙂

    Thanks again, and we’ll see you over in email!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Customizer.php’ is closed to new replies.